/*
 * Copyright (C) 2025 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.aggregation.warehouse;

import java.time.ZonedDateTime;

import com.fasterxml.jackson.databind.node.ObjectNode;

import de.ozgcloud.aggregation.warehouse.DocumentEntry.DocumentEntryBuilder;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangHeaderTestFactory;
import de.ozgcloud.apilib.vorgang.OzgCloudVorgangTestFactory;

public class DocumentEntryTestFactory {

	public static final String STATUS = OzgCloudVorgangHeaderTestFactory.STATUS_STR;
	public static final String VORGANG_NAME = OzgCloudVorgangTestFactory.VORGANG_NAME;
	public static final ZonedDateTime EINGANGSDATUM = OzgCloudVorgangHeaderTestFactory.CREATED_AT;
	public static final ObjectNode PAYLOAD = ObjectNodeTestFactory.create();
	public static final String ID = OzgCloudVorgangTestFactory.ID.toString();

	public static DocumentEntry create() {
		return createBuilder().build();
	}

	public static DocumentEntryBuilder createBuilder() {
		return DocumentEntry.builder()
				.id(ID)
				.eingangsdatum(EINGANGSDATUM)
				.vorgangsname(VORGANG_NAME)
				.status(STATUS)
				.payload(PAYLOAD);
	}
}
